Bug 183668 - gnome-screensaver doesn't reset idle timers on user activity after system comes out of suspend
gnome-screensaver doesn't reset idle timers on user activity after system com...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
: 186314 (view as bug list)
Depends On:
Blocks: FC5Update
  Show dependency treegraph
 
Reported: 2006-03-02 11:27 EST by Bill Nottingham
Modified: 2014-03-16 22:58 EDT (History)
9 users (show)

See Also:
Fixed In Version: gnome-screensaver-2.14.0-1.fc5.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-09 04:12:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 332576 None None None Never
GNOME Desktop 335831 None None None Never

  None (edit)
Description Bill Nottingham 2006-03-02 11:27:12 EST
gnome-power-manager-2.13.92-1

Occasionally, g-p-m gets into a state where it starts blanking the screen every
5 minutes or so. This happens a) regardless of keyboard/mouse/interrupt activity
b) regardless of the AC state.
Comment 1 Richard Hughes 2006-03-11 10:41:00 EST
Does this still happen for 2.13.93?
Comment 2 Bill Nottingham 2006-03-11 12:14:05 EST
Yes, still seeing this with 2.13.93-4. It *seems* to happen more after a resume
from suspend.

The very strange part is that it seems to be blanking roughly every 5 minutes,
yet I don't have a 5 minute timeout configured anywhere.
Comment 3 Richard Hughes 2006-03-11 12:38:59 EST
What about gnome-screensaver-properties?

When it blanks the screen, what does cat /var/log/messages | grep gnome-power
display?
Comment 4 Bill Nottingham 2006-03-21 17:52:12 EST
Nothing from g-p-m. This does appear to be gnome-screensaver.
Comment 5 Ray Strode [halfline] 2006-03-22 16:27:20 EST
*** Bug 186314 has been marked as a duplicate of this bug. ***
Comment 6 Ray Strode [halfline] 2006-03-27 15:57:48 EST
ignore the MODIFIED status change, i've got too many browser tabs open
Comment 7 Bojan Smojver 2006-03-27 17:35:35 EST
I can confirm this with 2.14.0-1. Happens with both swsusp and suspend2 code.
Comment 8 Bojan Smojver 2006-03-27 17:46:27 EST
Do you guys reckon it is worth referencing:

http://bugzilla.gnome.org/show_bug.cgi?id=335831

Looks like a slightly different issue, but related nontheless.
Comment 10 Ray Strode [halfline] 2006-04-04 01:18:34 EDT
This is actually upstream at:

http://bugzilla.gnome.org/show_bug.cgi?id=332576

I put an untested patch on the upstream report that I'm building into rawhide now.  

Would you guys mind testing it tomorrow after the sync?
Comment 11 Bojan Smojver 2006-04-04 05:12:33 EDT
As long as it runs on FC5 (I hope Rawhide didn't go to far yet with changes), it
should be OK.
Comment 12 Bojan Smojver 2006-04-04 05:47:58 EDT
Installed gnome-screensaver-2.14.0-4 from Rawhide on FC5. I'll be testing this
today and tomorrow.
Comment 13 Ray Strode [halfline] 2006-04-04 10:01:40 EDT
I'll push it into updates-testing, too (for those who run FC-5 and don't want to
use the rawhide package)
Comment 14 Sigge Kotliar 2006-04-04 18:59:56 EDT
Seems it was pushed into plain updates too.

Anyhow - it fixes the problem for me. Great work!
Comment 15 Bojan Smojver 2006-04-04 19:23:37 EDT
Plain updates has an older version (and its changelog doesn't show the change
either).
Comment 16 Sigge Kotliar 2006-04-04 20:05:12 EDT
Yeah, seems I accidentally lied about that one... It had in deed not been fixed
in updates. Updated to updates-testing, and now it seems to work better though.

However, there's still one bug: when resuming from suspend, if the time in
suspend has been longer than the screensaver interval, the screensaver is on
when leaving suspend. Which is kind of weird - the desktop should start up
directly. Perhaps that's a different bug though.
Comment 17 Bojan Smojver 2006-04-04 20:27:55 EDT
Actually, I think that's a desired feature. I definitely want the screensaver to
kick in and lock the desktop if the machine has been suspended for more than
screensaver interval.

In other words, if you walk away from your system and are relying on screensaver
to lock it (which is admittedly only a low level, limited time protection
measure against someone with physical access to your box), it shouldn't matter
if you left the system on or suspended. It should still get locked after exactly
the same amount of time of inactivity.
Comment 18 Sigge Kotliar 2006-04-05 05:27:32 EDT
Well, pressing the power button does in my book count as interacting with the
computer, and hence - a key-press event should be sent to the screensaver
turning it off.

HOWEVER: if the screen is actually locked, that same key press event should show
the unlock screen.

Am I not right?
Comment 19 Bojan Smojver 2006-04-05 06:15:37 EDT
Yeah, maybe. Then again, maybe not - if "interacting with the computer" is
defined as touching one of the input devices defined in X ;-)
Comment 20 Bojan Smojver 2006-04-05 19:34:30 EDT
The new RPM appears to be good. I had no screen locking happening while working
on the system after resume.
Comment 21 Fedora Update System 2006-04-06 11:24:03 EDT
gnome-screensaver-2.14.0-1.fc5.1 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 22 Bojan Smojver 2006-05-09 01:51:01 EDT
This bug should be closed. Not a problem any more.
Comment 23 Richard Hughes 2006-05-09 04:12:09 EDT
Sweet, thanks.

Note You need to log in before you can comment on or make changes to this bug.